cpw.mods.fml.common.discovery

## Class ASMDataTable.ASMData

- java.lang.Object
- - cpw.mods.fml.common.discovery.ASMDataTable.ASMData

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    ASMDataTable

      public static final class ASMDataTable.ASMData
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASMDataTable.ASMData(ModCandidate candidate, java.lang.String annotationName, java.lang.String className, java.lang.String objectName, java.util.Map<java.lang.String,java.lang.Object> info)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASMDataTable.ASMData` | `copy(java.util.Map<java.lang.String,java.lang.Object> newAnnotationInfo)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getAnnotationInfo()`
    `java.lang.String` | `getAnnotationName()`
    `ModCandidate` | `getCandidate()`
    `java.lang.String` | `getClassName()`
    `java.lang.String` | `getObjectName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASMDataTable.ASMData

          public ASMDataTable.ASMData(ModCandidate candidate,
                              java.lang.String annotationName,
                              java.lang.String className,
                              java.lang.String objectName,
                              java.util.Map<java.lang.String,java.lang.Object> info)

  - ### Method Detail

    - #### getCandidate

          public ModCandidate getCandidate()

    - #### getAnnotationName

          public java.lang.String getAnnotationName()

    - #### getClassName

          public java.lang.String getClassName()

    - #### getObjectName

          public java.lang.String getObjectName()

    - #### getAnnotationInfo

          public java.util.Map<java.lang.String,java.lang.Object> getAnnotationInfo()

    - #### copy

          public ASMDataTable.ASMData copy(java.util.Map<java.lang.String,java.lang.Object> newAnnotationInfo)